%define url_ver     %(echo %{version}|cut -d. -f1,2)

%define oname       mate-file-manager

%define major       1
%define gi_major    2.0
%define libname     %mklibname %{name}-extension %{major}
%define develname   %mklibname -d %{name}-extension
%define girname     %mklibname %{name}-gir %{gi_major}

%define have_packagekit 1

Name:    caja
Version: 1.26.1
Release: %mkrel 1
Summary: File manager for the MATE desktop environment
Group:   File tools
License: GPLv2+ and LGPLv2+
URL:     https://www.mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source4: caja-ffmpegthumbnailer.thumbnailer
# gw from Fedora, fix crash on weird file infos
# https://bugzilla.gnome.org/show_bug.cgi?id=519743
Patch0:  nautilus-filetype-symlink-fix.patch
# (fc) add a search .desktop file (GNOME bug #350950) (SUSE)
Patch3:  nautilus-bgo350950-search-desktop.diff
# (gnome#674659)    places-sidebar: don't double unref GMount objects
Patch8:  mate-file-manager-1.6.2-double_unref_GMount_objects.patch

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gail-3.0)
BuildRequires: pkgconfig(unique-3.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: intltool
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(gtk-doc)

Requires: gvfs
# We need a seperate package for other MATE apps.
Requires: %{name}-schemas = %{version}-%{release}
Requires: mate-desktop-schemas >= %{url_ver}

Recommends: %{name}-extensions >= 1.16.0

# Without these, caja can not connect to a secure network or WebDav
Recommends: glib-networking
Recommends: davfs2

# Without this caja could not show thumbnails for video files
Recommends: ffmpegthumbnailer

%description
Caja is the file manager and graphical shell for the MATE desktop,
that makes it easy to manage your files and the rest of your system.

It allows to browse directories on local and remote file systems,
preview files and launch applications associated with them.
It is also responsible for handling the icons on the MATE desktop.

%package -n %{libname}
Summary:  Libraries for Mate file manager
Group:    System/Libraries

%description -n %{libname}
Caja is a file manager for the MATE desktop environment.
This package contains libraries used by Caja.

%package -n %{girname}
Summary:   GObject Introspection interface description for %{name}
Group:     System/Libraries
Requires:  %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package -n %{develname}
Summary:   Libraries and include files for developing caja components
Group:     Development/C
Requires:  %{libname} = %{version}-%{release}
Requires:  %{girname} = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop caja components.

%package -n %{name}-schemas
Summary:   Gsettings schema files for %{name}
Group:     File tools
BuildArch: noarch

%description -n %{name}-schemas
This package provides caja gsettings schema files;
needed to run caja and various other MATE applications.

%prep
%autosetup -p1

%build
%configure \
        --disable-static \
        %if %{have_packagekit}
        --enable-packagekit \
        %else
        --disable-packagekit \
        %endif
        --disable-schemas-compile \
        --disable-update-mimedb \
        --disable-icon-update
        
%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

mkdir -p %{buildroot}%{_datadir}/thumbnailers
install -m644 %{_sourcedir}/caja-ffmpegthumbnailer.thumbnailer %{buildroot}%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer

mkdir -p %{buildroot}%{_localstatedir}/lib/mate/desktop \
    %{buildroot}%{_datadir}/%{name}/default-desktop \
    %{buildroot}%{_libdir}/%{name}/extensions-2.0

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS HACKING AUTHORS
%dir %{_localstatedir}/lib/mate/desktop
%dir %{_localstatedir}/lib/mate/
%{_bindir}/caja
%{_bindir}/caja-autorun-software
%{_bindir}/caja-connect-server
%{_bindir}/caja-file-management-properties
%{_datadir}/caja/
%{_datadir}/dbus-1/services/org.mate.freedesktop.FileManager1.service
%{_datadir}/applications/*
%{_datadir}/metainfo/caja.appdata.xml
%{_datadir}/pixmaps/%{name}/
%{_datadir}/mime/packages/caja.xml
%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer
%{_datadir}/icons/hicolor/*/emblems/emblem-note.png
%{_mandir}/man1/caja-autorun-software.1*
%{_mandir}/man1/caja-connect-server.1*
%{_mandir}/man1/caja-file-management-properties.1*
%{_mandir}/man1/caja.1*
%dir %{_libdir}/caja
%dir %{_libdir}/caja/extensions-2.0

%files -n %{libname}
%{_libdir}/libcaja-extension.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Caja-%{gi_major}.typelib

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/libcaja-extension/
%{_includedir}/*
%{_libdir}/libcaja-extension.so
%{_libdir}/pkgconfig/libcaja-extension.pc
%{_datadir}/gir-1.0/Caja-%{gi_major}.gir

%files -n %{name}-schemas
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml


%changelog
* Sat Aug 06 2022 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1875703
- Update to version 1.26.1

* Thu Mar 31 2022 umeabot <umeabot> 1.26.0-3.mga9
+ Revision: 1837146
- Mageia 9 Mass Rebuild

* Wed Dec 29 2021 wally <wally> 1.26.0-2.mga9
+ Revision: 1765250
- require mate-desktop-schemas (mga#29828)

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740023
- new version 1.26.0

* Sat Mar 27 2021 ovitters <ovitters> 1.24.1-1.mga9
+ Revision: 1711170
- new version 1.24.1

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547911
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488586
- Rediff Patch3
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 26 2019 kekepower <kekepower> 1.22.3-1.mga8
+ Revision: 1470184
- Update to version 1.22.3

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465664
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397030
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-2.mga7
+ Revision: 1375483
- Update to version 1.22.0

* Sun Jan 13 2019 kekepower <kekepower> 1.20.3-2.mga7
+ Revision: 1356065
- Rebuild for new exempi

* Sun Dec 16 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1341822
- Update to version 1.20.3

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337234
- Update to version 1.20.2
- Rolled back to r1295842

* Mon Nov 26 2018 kekepower <kekepower> 1.21.3-1.mga7
+ Revision: 1335505
- Update to version 1.21.3

* Sat Sep 22 2018 umeabot <umeabot> 1.20.0-3.mga7
+ Revision: 1295842
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 1.20.0-2.mga7
+ Revision: 1210349
- Rebuild for new exempi

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201350
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.3-1.mga7
+ Revision: 1187395
- Updated to 1.19.3 version

* Fri Oct 27 2017 tarakbumba <tarakbumba> 1.19.2-1.mga7
+ Revision: 1174302
- Updated to 1.19.2 version

* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.3-1.mga6
+ Revision: 1102442
- Update to 1.18.3 version

* Tue Apr 18 2017 tarakbumba <tarakbumba> 1.18.2-1.mga6
+ Revision: 1096704
- Update to 1.18.2 version

* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1095937
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092538
- Update to 1.18.0 version
- Update to 1.17.3 version
- Update to 1.17.2 version
- Update to 1.17.1 version
- Drop deprecated patches
- Remove gtk2 references from specfile

* Tue Dec 13 2016 wally <wally> 1.16.1-1.mga6
+ Revision: 1074690
- new version 1.16.1
- build with gtk3
- use upstream provided icons

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1017822
- Update to 1.14.1 version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001181
- Update to 1.14.0 version

* Thu Feb 25 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979286
- Update to 1.13.1 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942330
- Update to 1.13.0 version

* Sat Dec 26 2015 tarakbumba <tarakbumba> 1.12.2-1.mga6
+ Revision: 914941
- Update to 1.12.2 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908120
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 899220
-Update to 1.12.0 version

* Sun Sep 27 2015 wally <wally> 1.10.4-1.mga6
+ Revision: 884157
- new version 1.10.4

* Tue Sep 01 2015 wally <wally> 1.10.3-1.mga6
+ Revision: 872002
- new version 1.10.3
- drop P9 (fixed in upstream)

* Tue Jun 30 2015 wally <wally> 1.10.1-3.mga6
+ Revision: 848825
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 1.10.1-2.mga6
+ Revision: 847149
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 837028
- Update to 1.10.1 version

* Tue Apr 28 2015 tarakbumba <tarakbumba> 1.8.2-4.mga5
+ Revision: 820841
- Disable automount when screen is locked
- Disable running daemon mode on non mate desktops

* Fri Apr 03 2015 tarakbumba <tarakbumba> 1.8.2-3.mga5
+ Revision: 819671
- Do not try to manage desktop outside of Mate (mga#15577)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 739893
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tarakbumba <tarakbumba> 1.8.2-1.mga5
+ Revision: 731466
- Update to 1.8.2 version

* Sun Sep 28 2014 tv <tv> 1.8.1-4.mga5
+ Revision: 731110
- rebuild so that it picks typelib() requires

* Thu Sep 18 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 693555
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 678288
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Apr 27 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 618489
- Update to 1.8.1 version
- Drop upstreamed caja-1.8.0-fix_x_caja_desktop.patch

* Tue Mar 25 2014 tarakbumba <tarakbumba> 1.8.0-5.mga5
+ Revision: 608674
- Remove workaround patches/files for x-caja bug
- Add cherrypicked upstream patch to fix x-caja bug
- caja-schemas should be noarch

* Sat Mar 08 2014 wally <wally> 1.8.0-3.mga5
+ Revision: 601182
- obsolete mate-file-manager-gksu

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601166
- use versioned obsoletes/provides
- drop unneeded requires
- make caja-schemas to conflict with old mate-file-manager and not to obsolete it

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600083
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598174
- Fix obsoletes and group in caja-schemas
- imported package caja

